Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.taglib
Class ListMenu

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.meshcms.taglib.AbstractTag
              org.meshcms.taglib.ListMenu

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, com.opensymphony.module.sitemesh.RequestConstants, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public final class ListMenu
extends AbstractTag

Creates a navigation menu, using a unnumbered list.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ITEMS_ALL`
`static java.lang.String` | `ITEMS_CHILDREN`
`static java.lang.String` | `ITEMS_FIRST_LEVEL`
`static java.lang.String` | `ITEMS_INTERMEDIATE_LEVELS`
`static java.lang.String` | `ITEMS_LAST_LEVEL`
`static java.lang.String` | `ITEMS_ON_PATH`
`static java.lang.String` | `LINK`
`static java.lang.String` | `TEXT`

Fields inherited from class org.meshcms.taglib.AbstractTag
`PAGE_MODULES, PARAM_REGEX`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface com.opensymphony.module.sitemesh.RequestConstants
`DECORATOR, FILTER_APPLIED, PAGE, ROBOT, USING_STREAM`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ListMenu()`

Method Summary
`java.lang.String` | `getAllowHiding()`
`java.lang.String` | `getCurrent()`
`java.lang.String` | `getCurrentPathStyle()`
`java.lang.String` | `getCurrentStyle()`
`java.lang.String` | `getItems()`
`java.lang.String` | `getPath()`
`java.lang.String` | `getStyle()`
`void` | `setAllowHiding(java.lang.String allowHiding)`
`void` | `setArtisteerMarkup(java.lang.String artisteerMarkup)`
`void` | `setCurrent(java.lang.String current)`
`void` | `setCurrentPathStyle(java.lang.String currentPathStyle)`
`void` | `setCurrentStyle(java.lang.String currentStyle)`
`void` | `setItems(java.lang.String items)`
`void` | `setPath(java.lang.String path)`
`void` | `setStyle(java.lang.String style)`
`void` | `writeTag()` Writes the contents of the tag.

Methods inherited from class org.meshcms.taglib.AbstractTag
`doStartTag, getHead, getMailFormAddress, getOut, getPage, getStartTagReturnValue, writeEditTag`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ITEMS_ALL

    public static final java.lang.String ITEMS_ALL

See Also:
  Constant Field Values

### ITEMS_ON_PATH

    public static final java.lang.String ITEMS_ON_PATH

See Also:
  Constant Field Values

### ITEMS_FIRST_LEVEL

    public static final java.lang.String ITEMS_FIRST_LEVEL

See Also:
  Constant Field Values

### ITEMS_LAST_LEVEL

    public static final java.lang.String ITEMS_LAST_LEVEL

See Also:
  Constant Field Values

### ITEMS_CHILDREN

    public static final java.lang.String ITEMS_CHILDREN

See Also:
  Constant Field Values

### ITEMS_INTERMEDIATE_LEVELS

    public static final java.lang.String ITEMS_INTERMEDIATE_LEVELS

See Also:
  Constant Field Values

### TEXT

    public static final java.lang.String TEXT

See Also:
  Constant Field Values

### LINK

    public static final java.lang.String LINK

See Also:
  Constant Field Values

Constructor Detail

### ListMenu

    public ListMenu()

Method Detail

### writeTag

    public void writeTag()
                  throws java.io.IOException

  Description copied from class: `AbstractTag`
  Writes the contents of the tag. Subclasses will use this method to write to the page.

  Specified by:
    `writeTag` in class `AbstractTag`
  Throws:
    `java.io.IOException`

### getPath

    public java.lang.String getPath()

### setPath

    public void setPath(java.lang.String path)

### getItems

    public java.lang.String getItems()

### setItems

    public void setItems(java.lang.String items)

### getStyle

    public java.lang.String getStyle()

### setStyle

    public void setStyle(java.lang.String style)

### getCurrent

    public java.lang.String getCurrent()

### setCurrent

    public void setCurrent(java.lang.String current)

### getCurrentStyle

    public java.lang.String getCurrentStyle()

### setCurrentStyle

    public void setCurrentStyle(java.lang.String currentStyle)

### getCurrentPathStyle

    public java.lang.String getCurrentPathStyle()

### setCurrentPathStyle

    public void setCurrentPathStyle(java.lang.String currentPathStyle)

### getAllowHiding

    public java.lang.String getAllowHiding()

### setAllowHiding

    public void setAllowHiding(java.lang.String allowHiding)

### setArtisteerMarkup

    public void setArtisteerMarkup(java.lang.String artisteerMarkup)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD